Skip to content
Zyxel / PRODUCT DOSSIER

Zyxel GS1900-10HP

Zyxel GS1900-10HP-EU0101F Switch
SKU: GS1900-10HP-EU0101F

Zyxel GS1900-10HP-EU0101F Switch — Switch. Detailed technical specifications, hardware compatibility, and price breakdown.

View Specs Buy on Amazon →

You can report any missing or inaccurate technical specifications.

Recorded technical parameters and manufacturer data are verified.

Zyxel GS1900-10HP-EU0101F Switch

Technical specifications

Recorded specifications are grouped by product category. Missing data does not imply lack of support.
10G support
No
Copper ethernet cabling technology
Total Power on Ethernet Enclosure
77 W
Number of Ethernet Power Poe Inputs
8
Power Over Ethernet Poe Support
Yes
Search IGMP
Yes
Service Quality QoS Support
Yes
Basic Opening Closing RJ 45 Ethernet Input Count
Basic Opening Closing RJ 45 Ethernet Input Type
Wi-Fi standards
IEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.3, IEEE 802.3ab, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x
Communication LED Indicators
Yes
MTBF Range
801, 113 Hours
Security
LVD EN60950-1, BSMI CNS14336-1, CB IEC60950-1
Security Algorithm Supported
802.1x RADIUS, SSL/TLS
Certificates of Conformity Declarations
Operating Humidity Range
10 - 95%
Input current
1.7 A
Input voltage
54 V
Power consumption
Operating Temperature Range
0 - 50 °C
Address Table Size
Weight
Depth
Width
Jumbo frames
9000
Shelf Installation
No
Web-based management
Yes
Height
Product Color
Cache Size
525 KB
Storage Temperature Range Celsius
Contact Layer
Key Type
Form factor
Compatible System HS Code
85176990
Processing Volume
Routing Transit Capacity
Routing/switching capacity
20 Gbit/s
SFP Module Slot Count
Package depth
227 mm
Package width
302 mm
Package height
64 mm
Package weight
1,53 kg
Brand
Zyxel
Category
Network Switches
Product Name
GS1900-10HP
GTIN EAN UPC
4718937587810,
Category
Network Switches
Brand
Zyxel
Product Name
GS1900-10HP
Sold Markets
NL, GB, ES, FR, HU, SE, IT, AT, CZ, DE, DK, BE, NO, UA, PL, PT, GR, LU, RU, TR, FI, CH, BG, AF, AM, IS, AS, SK, CY, EE
Date Added to System
2015-11-22
Production Date
Product Code
GS1900-10HP-EU0101F
Wall Mounted
Yes
Heat dissipation
65,472 BTU/s
Console Input
RJ-45
MIB support
RFC 1213, RFC 2819, RFC 1215, RFC 1493
System event log
Yes
Management protocols
SNMP, RMON, ICMP, Syslog
Zyxel GS1900-10HP-EU0101F Switch